# Uses of Interface
org.opensaml.xacml.policy.AttributeSelectorType

Packages that use AttributeSelectorType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of AttributeSelectorType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return AttributeSelectorType
Modifier and Type
Method
Description
`AttributeSelectorType`
ActionMatchType.`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeSelectorType`
EnvironmentMatchType.`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeSelectorType`
ResourceMatchType.`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeSelectorType`
SubjectMatchType.`getAttributeSelector()`
Gets the attribute selector for this match.
Methods in org.opensaml.xacml.policy with parameters of type AttributeSelectorType
Modifier and Type
Method
Description
`void`
ActionMatchType.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
EnvironmentMatchType.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
ResourceMatchType.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
SubjectMatchType.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.

## Uses of AttributeSelectorType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement AttributeSelectorType
Modifier and Type
Class
Description
`class`
`AttributeSelectorTypeImpl`
Implementation `AttributeSelectorType`.
Methods in org.opensaml.xacml.policy.impl that return AttributeSelectorType
Modifier and Type
Method
Description
`AttributeSelectorType`
AttributeSelectorTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`AttributeSelectorType`
AttributeSelectorTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`AttributeSelectorType`
ActionMatchTypeImpl.`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeSelectorType`
EnvironmentMatchTypeImpl.`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeSelectorType`
ResourceMatchTypeImpl.`getAttributeSelector()`
Gets the attribute selector for this match.
`AttributeSelectorType`
SubjectMatchTypeImpl.`getAttributeSelector()`
Gets the attribute selector for this match.
Methods in org.opensaml.xacml.policy.impl with parameters of type AttributeSelectorType
Modifier and Type
Method
Description
`void`
ActionMatchTypeImpl.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
EnvironmentMatchTypeImpl.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
ResourceMatchTypeImpl.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.
`void`
SubjectMatchTypeImpl.`setAttributeSelector(AttributeSelectorType selector)`
Sets the attribute selector for this match.